<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ChangeTableLanguageTableCreateValues extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('language', function (Blueprint $table) {
            $table->tinyInteger('is_application')->after('status')->default(0);
            $table->tinyInteger('is_published')->after('is_application')->default(0);
        });

        DB::statement("ALTER TABLE language MODIFY COLUMN code VARCHAR(10) NOT NULL");

        DB::statement('SET FOREIGN_KEY_CHECKS=0;');
        DB::table('language')->truncate();
        DB::statement('SET FOREIGN_KEY_CHECKS=1;');

        DB::connection()->statement("INSERT INTO `language` VALUES (1, 'af', 'Afrikaans', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (2, 'af_ZA', 'Afrikaans (South Africa)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (3, 'ar', 'Arabic', 1, 1, 1, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (4, 'ar_AE', 'Arabic (U.A.E.)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (5, 'ar_BH', 'Arabic (Bahrain)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (6, 'ar_DZ', 'Arabic (Algeria)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (7, 'ar_EG', 'Arabic (Egypt)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (8, 'ar_IQ', 'Arabic (Iraq)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (9, 'ar_JO', 'Arabic (Jordan)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (10, 'ar_KW', 'Arabic (Kuwait)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (11, 'ar_LB', 'Arabic (Lebanon)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (12, 'ar_LY', 'Arabic (Libya)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (13, 'ar_MA', 'Arabic (Morocco)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (14, 'ar_OM', 'Arabic (Oman)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (15, 'ar_QA', 'Arabic (Qatar)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (16, 'ar_SA', 'Arabic (Saudi Arabia)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (17, 'ar_SY', 'Arabic (Syria)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (18, 'ar_TN', 'Arabic (Tunisia)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (19, 'ar_YE', 'Arabic (Yemen)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (20, 'az', 'Azeri (Latin)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (21, 'az_AZ', 'Azeri (Cyrillic) (Azerbaijan)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (22, 'be', 'Belarusian', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (23, 'be_BY', 'Belarusian (Belarus)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (24, 'bg', 'Bulgarian', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (25, 'bg_BG', 'Bulgarian (Bulgaria)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (26, 'bs_BA', 'Bosnian (Bosnia and Herzegovina)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (27, 'ca', 'Catalan', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (28, 'ca_ES', 'Catalan (Spain)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (29, 'cs', 'Czech', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (30, 'cs_CZ', 'Czech (Czech Republic)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (31, 'cy', 'Welsh', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (32, 'cy_GB', 'Welsh (United Kingdom)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (33, 'da', 'Danish', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (34, 'da_DK', 'Danish (Denmark)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (35, 'de', 'German', 1, 1, 1, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (36, 'de_AT', 'German (Austria)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (37, 'de_CH', 'German (Switzerland)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (38, 'de_DE', 'German (Germany)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (39, 'de_LI', 'German (Liechtenstein)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (40, 'de_LU', 'German (Luxembourg)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (41, 'dv', 'Divehi', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (42, 'dv_MV', 'Divehi (Maldives)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (43, 'el', 'Greek', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (44, 'el_GR', 'Greek (Greece)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (45, 'en', 'English', 1, 1, 1, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (46, 'en_AU', 'English (Australia)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (47, 'en_BZ', 'English (Belize)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (48, 'en_CA', 'English (Canada)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (49, 'en_CB', 'English (Caribbean)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (50, 'en_GB', 'English (United Kingdom)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (51, 'en_IE', 'English (Ireland)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (52, 'en_JM', 'English (Jamaica)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (53, 'en_NZ', 'English (New Zealand)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (54, 'en_PH', 'English (Republic of the Philippines)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (55, 'en_TT', 'English (Trinidad and Tobago)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (56, 'en_US', 'English (United States)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (57, 'en_ZA', 'English (South Africa)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (58, 'en_ZW', 'English (Zimbabwe)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (59, 'eo', 'Esperanto', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (60, 'es', 'Spanish', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (61, 'es_AR', 'Spanish (Argentina)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (62, 'es_BO', 'Spanish (Bolivia)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (63, 'es_CL', 'Spanish (Chile)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (64, 'es_CO', 'Spanish (Colombia)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (65, 'es_CR', 'Spanish (Costa Rica)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (66, 'es_DO', 'Spanish (Dominican Republic)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (67, 'es_EC', 'Spanish (Ecuador)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (68, 'es_ES', 'Spanish (Spain)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (69, 'es_GT', 'Spanish (Guatemala)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (70, 'es_HN', 'Spanish (Honduras)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (71, 'es_MX', 'Spanish (Mexico)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (72, 'es_NI', 'Spanish (Nicaragua)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (73, 'es_PA', 'Spanish (Panama)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (74, 'es_PE', 'Spanish (Peru)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (75, 'es_PR', 'Spanish (Puerto Rico)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (76, 'es_PY', 'Spanish (Paraguay)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (77, 'es_SV', 'Spanish (El Salvador)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (78, 'es_UY', 'Spanish (Uruguay)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (79, 'es_VE', 'Spanish (Venezuela)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (80, 'et', 'Estonian', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (81, 'et_EE', 'Estonian (Estonia)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (82, 'eu', 'Basque', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (83, 'eu_ES', 'Basque (Spain)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (84, 'fa', 'Farsi', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (85, 'fa_IR', 'Farsi (Iran)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (86, 'fi', 'Finnish', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (87, 'fi_FI', 'Finnish (Finland)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (88, 'fo', 'Faroese', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (89, 'fo_FO', 'Faroese (Faroe Islands)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (90, 'fr', 'French', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (91, 'fr_BE', 'French (Belgium)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (92, 'fr_CA', 'French (Canada)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (93, 'fr_CH', 'French (Switzerland)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (94, 'fr_FR', 'French (France)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (95, 'fr_LU', 'French (Luxembourg)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (96, 'fr_MC', 'French (Principality of Monaco)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (97, 'gl', 'Galician', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (98, 'gl_ES', 'Galician (Spain)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (99, 'gu', 'Gujarati', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (100, 'gu_IN', 'Gujarati (India)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (101, 'he', 'Hebrew', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (102, 'he_IL', 'Hebrew (Israel)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (103, 'hi', 'Hindi', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (104, 'hi_IN', 'Hindi (India)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (105, 'hr', 'Croatian', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (106, 'hr_BA', 'Croatian (Bosnia and Herzegovina)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (107, 'hr_HR', 'Croatian (Croatia)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (108, 'hu', 'Hungarian', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (109, 'hu_HU', 'Hungarian (Hungary)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (110, 'hy', 'Armenian', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (111, 'hy_AM', 'Armenian (Armenia)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (112, 'id', 'Indonesian', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (113, 'id_ID', 'Indonesian (Indonesia)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (114, 'is', 'Icelandic', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (115, 'is_IS', 'Icelandic (Iceland)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (116, 'it', 'Italian', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (117, 'it_CH', 'Italian (Switzerland)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (118, 'it_IT', 'Italian (Italy)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (119, 'ja', 'Japanese', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (120, 'ja_JP', 'Japanese (Japan)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (121, 'ka', 'Georgian', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (122, 'ka_GE', 'Georgian (Georgia)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (123, 'kk', 'Kazakh', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (124, 'kk_KZ', 'Kazakh (Kazakhstan)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (125, 'kn', 'Kannada', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (126, 'kn_IN', 'Kannada (India)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (127, 'ko', 'Korean', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (128, 'ko_KR', 'Korean (Korea)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (129, 'kok', 'Konkani', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (130, 'kok_IN', 'Konkani (India)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (131, 'ky', 'Kyrgyz', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (132, 'ky_KG', 'Kyrgyz (Kyrgyzstan)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (133, 'lt', 'Lithuanian', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (134, 'lt_LT', 'Lithuanian (Lithuania)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (135, 'lv', 'Latvian', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (136, 'lv_LV', 'Latvian (Latvia)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (137, 'mi', 'Maori', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (138, 'mi_NZ', 'Maori (New Zealand)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (139, 'mk', 'FYRO Macedonian', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (140, 'mk_MK', 'FYRO Macedonian (Former Yugoslav Republic of ', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (141, 'mn', 'Mongolian', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (142, 'mn_MN', 'Mongolian (Mongolia)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (143, 'mr', 'Marathi', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (144, 'mr_IN', 'Marathi (India)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (145, 'ms', 'Malay', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (146, 'ms_BN', 'Malay (Brunei Darussalam)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (147, 'ms_MY', 'Malay (Malaysia)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (148, 'mt', 'Maltese', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (149, 'mt_MT', 'Maltese (Malta)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (150, 'nb', 'Norwegian (Bokm?l)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (151, 'nb_NO', 'Norwegian (Bokm?l) (Norway)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (152, 'nl', 'Dutch', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (153, 'nl_BE', 'Dutch (Belgium)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (154, 'nl_NL', 'Dutch (Netherlands)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (155, 'nn_NO', 'Norwegian (Nynorsk) (Norway)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (156, 'ns', 'Northern Sotho', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (157, 'ns_ZA', 'Northern Sotho (South Africa)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (158, 'pa', 'Punjabi', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (159, 'pa_IN', 'Punjabi (India)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (160, 'pl', 'Polish', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (161, 'pl_PL', 'Polish (Poland)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (162, 'ps', 'Pashto', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (163, 'ps_AR', 'Pashto (Afghanistan)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (164, 'pt', 'Portuguese', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (165, 'pt_BR', 'Portuguese (Brazil)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (166, 'pt_PT', 'Portuguese (Portugal)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (167, 'qu', 'Quechua', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (168, 'qu_BO', 'Quechua (Bolivia)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (169, 'qu_EC', 'Quechua (Ecuador)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (170, 'qu_PE', 'Quechua (Peru)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (171, 'ro', 'Romanian', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (172, 'ro_RO', 'Romanian (Romania)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (173, 'ru', 'Russian', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (174, 'ru_RU', 'Russian (Russia)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (175, 'sa', 'Sanskrit', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (176, 'sa_IN', 'Sanskrit (India)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (177, 'se', 'Sami (Northern)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (178, 'se_FI', 'Sami (Northern) (Finland)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (179, 'se_NO', 'Sami (Northern) (Norway)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (180, 'se_SE', 'Sami (Northern) (Sweden)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (181, 'sk', 'Slovak', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (182, 'sk_SK', 'Slovak (Slovakia)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (183, 'sl', 'Slovenian', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (184, 'sl_SI', 'Slovenian (Slovenia)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (185, 'sq', 'Albanian', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (186, 'sq_AL', 'Albanian (Albania)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (187, 'sr_BA', 'Serbian (Cyrillic) (Bosnia and Herzegovina)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (188, 'sr_SP', 'Serbian (Cyrillic) (Serbia and Montenegro)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (189, 'sv', 'Swedish', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (190, 'sv_FI', 'Swedish (Finland)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (191, 'sv_SE', 'Swedish (Sweden)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (192, 'sw', 'Swahili', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (193, 'sw_KE', 'Swahili (Kenya)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (194, 'syr', 'Syriac', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (195, 'syr_SY', 'Syriac (Syria)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (196, 'ta', 'Tamil', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (197, 'ta_IN', 'Tamil (India)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (198, 'te', 'Telugu', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (199, 'te_IN', 'Telugu (India)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (200, 'th', 'Thai', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (201, 'th_TH', 'Thai (Thailand)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (202, 'tl', 'Tagalog', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (203, 'tl_PH', 'Tagalog (Philippines)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (204, 'tn', 'Tswana', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (205, 'tn_ZA', 'Tswana (South Africa)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (206, 'tr', 'Turkish', 1, 1, 1, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (207, 'tr_TR', 'Turkish (Turkey)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (208, 'ts', 'Tsonga', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (209, 'tt', 'Tatar', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (210, 'tt_RU', 'Tatar (Russia)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (211, 'uk', 'Ukrainian', 1, 1, 1, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (212, 'uk_UA', 'Ukrainian (Ukraine)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (213, 'ur', 'Urdu', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (214, 'ur_PK', 'Urdu (Islamic Republic of Pakistan)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (215, 'uz', 'Uzbek (Latin)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (216, 'uz_UZ', 'Uzbek (Cyrillic) (Uzbekistan)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (217, 'vi', 'Vietnamese', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (218, 'vi_VN', 'Vietnamese (Viet Nam)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (219, 'xh', 'Xhosa', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (220, 'xh_ZA', 'Xhosa (South Africa)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (221, 'zh', 'Chinese', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (222, 'zh_CN', 'Chinese (S)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (223, 'zh_HK', 'Chinese (Hong Kong)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (224, 'zh_MO', 'Chinese (Macau)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (225, 'zh_SG', 'Chinese (Singapore)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (226, 'zh_TW', 'Chinese (T)', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (227, 'zu', 'Zulu', 1, 0, 0, 1, 1, 1, 1)");
        DB::connection()->statement("INSERT INTO `language` VALUES (228, 'zu_ZA', 'Zulu (South Africa)', 1, 0, 0, 1, 1, 1, 1)");

        Schema::create('language_base', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('key',100)->unique();
            $table->string('hashed',45)->nullable();
            $table->string('code',10);
            $table->mediumText('text');
            $table->mediumText('description')->nullable();
            $table->tinyInteger('status')->default(0);
            $table->unsignedInteger('created_by');
            $table->unsignedInteger('updated_by');
            $table->integer('created_at');
            $table->integer('updated_at');
        });

        Schema::table('language_base', function (Blueprint $table) {
            $table->foreign('code')->references('code')->on('language');
            $table->foreign('created_by')->references('id')->on('user');
            $table->foreign('updated_by')->references('id')->on('user');
        });


        Schema::create('language_translate', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('base_id');
            $table->string('key',100);
            $table->string('code',10);
            $table->mediumText('text')->nullable();
            $table->tinyInteger('status')->default(0);
            $table->unsignedInteger('created_by');
            $table->unsignedInteger('updated_by');
            $table->integer('created_at');
            $table->integer('updated_at');
        });

        Schema::table('language_translate', function (Blueprint $table) {
            $table->foreign('base_id')->references('id')->on('language_base');
            $table->foreign('key')->references('key')->on('language_base');
            $table->foreign('code')->references('code')->on('language');
            $table->foreign('created_by')->references('id')->on('user');
            $table->foreign('updated_by')->references('id')->on('user');
        });

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
